﻿using Ecng.Serialization;
using StockSharp.BusinessEntities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace PortfolioGridLoader
{
    /// <summary>
    /// Interaction logic for SettingsWindow.xaml
    /// </summary>
    public partial class SettingsWindow : Window
    {
        public SettingsStorage PortfiloGridSettingsStorage;

        public SettingsWindow()
        {
            InitializeComponent();
        }

        public SettingsWindow(SettingsStorage portfiloGridSettingsStorage)
        {
            InitializeComponent();
            
            if (portfiloGridSettingsStorage != null)
            {
                PortfolioGrid.Load(portfiloGridSettingsStorage);
            }

            PortfiloGridSettingsStorage = portfiloGridSettingsStorage;
        }

        private void AddPortfolioButton_Click(object sender, RoutedEventArgs e)
        {
            var newPortfolio = new Portfolio
            {
                Name = NewPortfolioNameTextBox.Text,
                ClientCode = NewPortfolioNameTextBox.Text,
                BeginValue = Convert.ToDecimal(NewPortfolioBeginValueDecimalUpDown.Text)
            };

            PortfolioGrid.Portfolios.Add(newPortfolio);

            PortfiloGridSettingsStorage = PortfolioGrid.Save();
        }
    }
}
